import request from '@/utils/request'

// 查询列表
export function listRefundInfo(query) {
  return request({
    url: '/finance/cash/refund-info/page',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getRefundInfo(dictId) {
  return request({
    url: '/finance/cash/refund-info/get?id=' + dictId,
    method: 'get'
  })
}

// 新增
export function addRefundInfo(data) {
  return request({
    url: '/finance/cash/refund-info/create',
    method: 'post',
    data: data
  })
}

// 修改
export function updateRefundInfo(data) {
  return request({
    url: '/finance/cash/refund-info/update',
    method: 'put',
    data: data
  })
}

// 删除
export function delRefundInfo(dictId) {
  return request({
    url: '/finance/cash/refund-info/delete?id=' + dictId,
    method: 'delete'
  })
}

// 导出
export function exportRefundInfo(query) {
  return request({
    url: '/finance/cash/refund-info/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}